"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TaskRepository = void 0;
class TaskRepository {
  constructor() {
    this.done = new Set();
    this.failed = new Set();
  }
  addDone(entryId) {
    this.failed.delete(entryId);
    this.done.add(entryId);
  }
  addFailed(entryId) {
    this.failed.add(entryId);
    this.done.delete(entryId);
  }
  getFailed() {
    return Array.from(this.failed);
  }
  getDone() {
    return Array.from(this.done);
  }
}
exports.TaskRepository = TaskRepository;

//# sourceMappingURL=TaskRepository.js.map